OperationChoice (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.enumeration

## Enum OperationChoice

- java.lang.Object
- - java.lang.Enum<OperationChoice>
  - - tv.amwa.maj.enumeration.OperationChoice

- All Implemented Interfaces:
    Serializable, Comparable<OperationChoice>, MediaEnumerationValue

      public enum OperationChoice
      extends Enum<OperationChoice>
      implements MediaEnumerationValue

  TODO this comment or remove?

  Specifies the kind of operation to search for.

  Autogenerated from AAFTypes.idl, original C name aafOperationChoice_e.
  Defined type name for C enumeration is _aafOperationChoice_e.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FindIncoming`
    `FindNull`
    `FindOperationSrc1`
    `FindOperationSrc2`
    `FindOperationSrc3`
    `FindOperationSrc4`
    `FindOperationSrc5`
    `FindOperationSrc6`
    `FindOperationSrc7`
    `FindOperationSrc8`
    `FindOutgoing`
    `FindRender`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `symbol()` Provides a name for the enumeration value that can be used in XML serialisation.
    `long` | `value()` Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.
    `static OperationChoice` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OperationChoice[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEnumerationValue

      `name`

- - ### Enum Constant Detail

    - #### FindNull

          public static final OperationChoice FindNull

    - #### FindIncoming

          public static final OperationChoice FindIncoming

    - #### FindOutgoing

          public static final OperationChoice FindOutgoing

    - #### FindRender

          public static final OperationChoice FindRender

    - #### FindOperationSrc1

          public static final OperationChoice FindOperationSrc1

    - #### FindOperationSrc2

          public static final OperationChoice FindOperationSrc2

    - #### FindOperationSrc3

          public static final OperationChoice FindOperationSrc3

    - #### FindOperationSrc4

          public static final OperationChoice FindOperationSrc4

    - #### FindOperationSrc5

          public static final OperationChoice FindOperationSrc5

    - #### FindOperationSrc6

          public static final OperationChoice FindOperationSrc6

    - #### FindOperationSrc7

          public static final OperationChoice FindOperationSrc7

    - #### FindOperationSrc8

          public static final OperationChoice FindOperationSrc8

  - ### Method Detail

    - #### values

          public static OperationChoice[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OperationChoice c : OperationChoice.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OperationChoice valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          @Int64
          public long value()

      Description copied from interface: `MediaEnumerationValue`

      Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.

      Specified by:
        `value` in interface `MediaEnumerationValue`
      Returns:
        Unique integer value associated with an enumeration constant.

    - #### symbol

          public String symbol()

      Description copied from interface: `MediaEnumerationValue`

      Provides a name for the enumeration value that can be used in XML serialisation. The name is unique within the namespace of the owning type.

      As an example, the `ChannelStatusModeType` value `ChannelStatusModeType.Fixed` value has the name "`Fixed`" and symbol "`ChannelStatusMode_Fixed`".

      Specified by:
        `symbol` in interface `MediaEnumerationValue`
      Returns:
        Symbol name for this enumeration value.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.